Bug 961616 - Partition must be selected to use as HDISO source
Partition must be selected to use as HDISO source
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 01:38 EDT by Adam Williamson
Modified: 2017-02-28 04:34 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:26:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log after reproducing the bug (10.66 KB, text/plain)
2013-05-15 18:47 EDT, Adam Williamson
no flags Details
storage.state after reproducing the bug (20.00 KB, text/plain)
2013-05-15 18:48 EDT, Adam Williamson
no flags Details
storage.log after reproducing the bug (108.45 KB, text/plain)
2013-05-15 18:48 EDT, Adam Williamson
no flags Details
program.log after reproducing the bug (24.80 KB, text/plain)
2013-05-15 18:49 EDT, Adam Williamson
no flags Details
packaging.log after reproducing the bug (402.07 KB, text/plain)
2013-05-15 18:49 EDT, Adam Williamson
no flags Details
syslog after reproducing the bug (76.71 KB, text/plain)
2013-05-15 18:49 EDT, Adam Williamson
no flags Details
ifcfg.log after reproducing the bug (567 bytes, text/plain)
2013-05-15 18:53 EDT, Adam Williamson
no flags Details
X.log after reproducing the bug (43.15 KB, text/plain)
2013-05-15 18:53 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2013-05-10 01:38:06 EDT
F19 Beta TC3. use a VM with two disks, one containing a single ext4 partition with an F19 Beta TC3 DVD image on it. Boot from F19 Beta TC3 netinst.iso.

If you go to Installation Source right away, you will see an ISO file: option, you can pick the disk and the ISO, and it'll show up as the install source back at the hub. Okay, looks good.

If you go to Install Destination first, though, and pick the disk which *doesn't* have the ISO on it as the install target, leaving the disk which does have it unselected, then go to Installation Source, the ISO file option is not present. It should be present so long as a disk which might have an ISO file on it is *not* selected as an install target.
Comment 1 Brian Lane 2013-05-14 20:22:06 EDT
logs?
Comment 2 Adam Williamson 2013-05-14 20:49:16 EDT
Sorry, I thought it'd be easiest just to reproduce it. I'll attach logs in a bit, it takes a few minutes to set this up.
Comment 3 Adam Williamson 2013-05-15 18:47:32 EDT
Created attachment 748528 [details]
anaconda.log after reproducing the bug
Comment 4 Adam Williamson 2013-05-15 18:48:15 EDT
Created attachment 748529 [details]
storage.state after reproducing the bug
Comment 5 Adam Williamson 2013-05-15 18:48:36 EDT
Created attachment 748530 [details]
storage.log after reproducing the bug
Comment 6 Adam Williamson 2013-05-15 18:49:02 EDT
Created attachment 748531 [details]
program.log after reproducing the bug
Comment 7 Adam Williamson 2013-05-15 18:49:25 EDT
Created attachment 748532 [details]
packaging.log after reproducing the bug
Comment 8 Adam Williamson 2013-05-15 18:49:43 EDT
Created attachment 748533 [details]
syslog after reproducing the bug
Comment 9 Adam Williamson 2013-05-15 18:53:17 EDT
Created attachment 748534 [details]
ifcfg.log after reproducing the bug
Comment 10 Adam Williamson 2013-05-15 18:53:36 EDT
Created attachment 748535 [details]
X.log after reproducing the bug
Comment 11 David Shea 2014-03-10 17:36:56 EDT
It disappears (I assume) because you did not choose the drive containing the ISO in the destination spoke, so the partition containing the ISO was removed from the devicetree.
Comment 12 Adam Williamson 2014-03-10 17:52:12 EDT
OK, but obviously it's not OK to expect people to do that - it's much more natural to *not* select the disk you're installing *from* in the Installation *Destination* spoke.
Comment 13 David Shea 2014-03-10 18:00:45 EDT
Calm down, Adam, I left this one open ;-)  Yeah, we shouldn't use devicetree that way here, I just figured it'd be helpful to note that that's *why* it's happening, and that there is a workaround.
Comment 14 Adam Williamson 2014-03-10 18:04:33 EDT
asterisks used simply to highlight the significant terms, not to be read as yelling. ;)
Comment 15 Fedora End Of Life 2015-01-09 13:05:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Adam Williamson 2015-01-09 14:53:11 EST
Still appears to be valid as described in current (2015-01-05) Rawhide.
Comment 17 Jaroslav Reznik 2015-03-03 09:55:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 18 Fedora End Of Life 2016-07-19 15:26:27 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 19 Adam Williamson 2016-08-19 17:55:59 EDT
I don't think anyone's done anything to fix this.
Comment 20 Fedora End Of Life 2017-02-28 04:34:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.